# FairMQ: fair::mq::StateMachine Class Reference

fair::mq::StateMachine Class Reference

## Classes

struct | ErrorStateException

## Public Member Functions

bool | ChangeState (const Transition transition)
bool | ChangeState (const std::string &transition)
void | SubscribeToStateChange (const std::string &key, std::function< void(const State)> callback)
void | UnsubscribeFromStateChange (const std::string &key)
void | HandleStates (std::function< void(const State)> callback)
void | StopHandlingStates ()
void | SubscribeToNewTransition (const std::string &key, std::function< void(const Transition)> callback)
void | UnsubscribeFromNewTransition (const std::string &key)
bool | NewStatePending () const
void | WaitForPendingState () const
bool | WaitForPendingStateFor (const int durationInMs) const
State | GetCurrentState () const
std::string | GetCurrentStateName () const
void | Start ()
void | ProcessWork ()

The documentation for this class was generated from the following files:

- fairmq/StateMachine.h
- fairmq/StateMachine.cxx

privacy